Subject: [GROW] [Errata Rejected] RFC4384 (4550)

From: RFC Errata System <[email-masked]>
Date: Wed, 29 Mar 2017 11:34:18 -0700 (PDT)

The following errata report has been rejected for RFC4384,
"BGP Communities for Data Collection".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4384&eid=4550

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Warren Turkal <[email-masked]>
Date Reported: 2015-12-01
Rejected by: joel jaeggli (IESG)

Section: 4.1

Original Text
-------------
The chart at the bottom of 4.1:

      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |      0x00     |      0x0008   |           0x2A7C              |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |      0x00     |      0x00     |           0x10F2              |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Corrected Text
--------------
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |      0x00     |      0x08     |           0x2A7C              |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |      0x00     |      0x00     |           0x10F2              |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Notes
-----
The second group has a hex value that looks like two octets: "0x0008". If I am interpreting the chart, extended community RFCs, and the extended community IANA registry correctly, the second group should be a single octet (i.e., "0x08").

Also, the same error is in the Section 4.2 chart.
 --VERIFIER NOTES-- 
The    Transitive Two-Octet AS-Specific Extended Community Sub-Types registry specifies the low order byte as it notes:

Reference
[RFC7153]
Note
This registry contains values of the second octet (the "Sub-Type" 
field) of an extended community when the value of the first 
octet (the "Type" field) is 0x00.

so the diagram which includes both is correct but obviously somewhat hard to read since it contains both bytes. I think this proposed text ads little additional clarity.

--------------------------------------
RFC4384 (draft-ietf-grow-collection-communities-06)
--------------------------------------
Title               : BGP Communities for Data Collection
Publication Date    : February 2006
Author(s)           : D. Meyer
Category            : BEST CURRENT PRACTICE
Source              : Global Routing Operations
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG